Subject: Oklahoma - (response - trying again)
From: "Rhonda R. Ames" <[email-masked]>
To: "Mike Bishop" <[email-masked]>
Date: Mon, 18 Feb 2008 14:52:02 -0500

Mike,

As you know, I had sent an email requesting a copy of the posters.  To date, I have not received anything.

I have been able to download the minimum wage, child labor law, Public Employee Safety & Health protection, and Workers Compensation notice.  I am going to have to call a few departments to see if I can get posters sent to me.

Can you do me a favor and either fax or scan and email me a copy of current flyer.

Rhonda